summaryrefslogtreecommitdiffstats
path: root/jjb/ci_gate_security/anteater-report-to-gerrit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/ci_gate_security/anteater-report-to-gerrit.sh')
-rw-r--r--jjb/ci_gate_security/anteater-report-to-gerrit.sh25
1 files changed, 13 insertions, 12 deletions
diff --git a/jjb/ci_gate_security/anteater-report-to-gerrit.sh b/jjb/ci_gate_security/anteater-report-to-gerrit.sh
index c0bf9fa5b..fc3018fb4 100644
--- a/jjb/ci_gate_security/anteater-report-to-gerrit.sh
+++ b/jjb/ci_gate_security/anteater-report-to-gerrit.sh
@@ -1,24 +1,25 @@
#!/bin/bash
-set -o errexit
+# SPDX-license-identifier: Apache-2.0
set -o pipefail
export PATH=$PATH:/usr/local/bin/
EXITSTATUS=0
-# If no violations were found, no lint log will exist.
+# This Log should always exist
if [[ -e securityaudit.log ]] ; then
echo -e "\nposting security audit report to gerrit...\n"
-if grep ERROR securityaudit.log; then
-EXITSTATUS=1
-fi
-
- cat securityaudit.log | awk -F"ERROR -\ " '{print $2}' > shortlog
-
+ #check if log has errors
+ if grep ERROR securityaudit.log; then
+ EXITSTATUS=1
+ fi
+
+ cat securityaudit.log | awk -F"ERROR - " '{print $2}' > shortlog
+
ssh -p 29418 gerrit.opnfv.org \
"gerrit review -p $GERRIT_PROJECT \
- -m \"$(cat shortlog)\" \
- $GERRIT_PATCHSET_REVISION \
- --notify NONE"
-
+ -m \"$(cat shortlog)\" \
+ $GERRIT_PATCHSET_REVISION \
+ --notify NONE"
+
exit $EXITSTATUS
fi